<?php

################################################################################
// Enqueue Scripts just for themes/user (not the entire, including WP backend)
################################################################################

function init_scripts() {
	// register min jquery requirements for this theme, only!
	if( !is_admin() ){
		wp_deregister_script( 'jquery' );
		wp_deregister_script( 'comment-reply' );
		
		// Register Scripts
		wp_register_script( 'jquery',               'http://ajax.googleapis.com/ajax/libs/jquery/1.4/jquery.min.js', '', 1.4, false);
		wp_register_script( 'comment-reply',        home_url() . '/wp-includes/js/comment-reply.js?ver=20090102');
		wp_register_script( 'modernizr',            get_template_directory_uri() . '/js/libs/modernizr.custom.js', '', "2.0.6", false );
		// wp_register_script( 'custom',               get_template_directory_uri() . '/js/custom.js', '', '', false );
		wp_register_script( 'nwmatcher',            get_template_directory_uri() . '/js/libs/nwmatcher-1.2.4-min.js', '', "1.2.4", false );
		wp_register_script( 'selectivizr',          get_template_directory_uri() . '/js/libs/selectivizr-min.js', '', "1.0.2", false );
		//wp_register_script( 'bbpress',               get_template_directory_uri() . '/_inc/global.js');

		wp_register_script( 'yahoo-profile',        get_bloginfo('template_url') . '/js/profiling/yahoo-profiling.min.js', '', '', true );
		wp_register_script( 'yahoo-profile-config', get_bloginfo('template_url') . '/js/profiling/config.js', '', '', true );
		
		// Queue Scripts
		wp_enqueue_script( 'jquery' ); // js library
		wp_enqueue_script( 'modernizr' ); // HTML5 tags prefix - including yep and respon.js
		wp_enqueue_script( 'nwmatcher' ); // js library for CSS3 library work incorporated with selectivizr
		wp_enqueue_script( 'selectivizr' );	// js library CSS3 selector for IE
		// wp_enqueue_script( 'custom' );	// js library custom
		//wp_enqueue_script( 'dtheme-ajax-js', get_template_directory_uri() . '/_inc/global.js', array( 'jquery' ) );
		
		// you can remove both files below for production
		// by commenting before run these scripts.	
		wp_enqueue_script( 'yahoo-profile' );
		wp_enqueue_script( 'yahoo-profile-config' );
	}
	
	// register conditional script (need jquery from above)
	if ( !is_admin() ) add_action( 'wp_print_scripts', 'custom_print_javascript' );
	function custom_print_javascript( ) {
		wp_enqueue_script( 'jquery-plugins', get_template_directory_uri() . '/js/plugins.js', '', array( 'jquery' ), true ); // for plugins
		//wp_enqueue_script( 'jquery-scripts', get_template_directory_uri() . '/js/script.js', '', array( 'jquery' ), true ); // for custom scripts

		if ( get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply',  home_url() . '/wp-includes/js/comment-reply.js?ver=20090102', 'jquery', '', true );
		}
	}
}    
 
 
function footer_scripts() { ?>

<script>!window.jQuery && document.write('<script src="<?php echo get_template_directory_uri(); ?>/js/libs/jquery-1.4.2.min.js"><\/script>')</script>
<!--[if lt IE 7 ]>
<script src="<?php echo get_template_directory_uri(); ?>/js/libs/dd_belatedpng.js"></script>
<script> DD_belatedPNG.fix('img, .png_bg, div, span'); </script>
<![endif]-->

<?php
}

if (!is_admin()) add_action('init', 'init_scripts', 0);
add_action('wp_footer', 'footer_scripts', 10);

?>