<?php

    /**
     * Tokokoo Framework
     *
     * @package    Tokokoo
     * @copyright  Copyright (c) 2011 Tokokoo
     * @license    http://www.opensource.org/licenses/gpl-2.0.php GNU GPL version 2
     * @version    $Id:$
     *
     * @developer Onnay Okheng (@onnayokheng)
     * @front-end Satrya Bima (@satryawp)
     */


################################################################################
// INDEX OF FUNCTIONS
################################################################################
/**
 * 1. Display breadcrumb - tk_the_breadcrumb
 * 2. Checking if on WPEC page
 * 3. Cut the text - tk_cut_text
 * 4. Display title on Page - tk_title_on_page
 */


################################################################################
// 1. Display breadcrumb - tk_the_breadcrumb
################################################################################

    /**
     * Display website breadcrumb
     * @author  Onnay Okheng (@onnayokheng)
     *
     * @global  object $wp_query
     * @global  object $post
     * @global  object $author
     * @global  object $author
     * @param   string $delimiter
     * @param   string $currentclass
     */
    function tk_the_breadcrumb($delimiter = '&raquo;', $currentclass='class="on"' ) {
        global $wp_query, $wpsc_query;

        if (is_home()) {
            echo '<a ' . $currentclass . ' href="' . get_option('siteurl') . ' " title="Home">'.__('Home').'</a>';
        }

        if ( is_category() ) :
                echo '<a href="' . get_option('siteurl') . ' " title="Home">'.get_option('blogname').'</a>';
                $cat_obj    = $wp_query->get_queried_object();
                $thisCat    = $cat_obj->term_id;
                $thisCat    = get_category($thisCat);
                $parentCat  = get_category($thisCat->parent);
                echo ' ' . $delimiter . ' ';
                if ($thisCat->parent != 0) echo(get_category_parents($parentCat, TRUE, ' ' . $delimiter . ' '));
                echo '<b>Archive by category &#39;';
                single_cat_title();
                echo '&#39;</b>';

        elseif ( is_day() ) :
                echo '<a href="' . get_option('siteurl') . ' " title="Home">'.get_option('blogname').'</a>';
                echo ' ' . $delimiter . ' ';
                echo '<a ' . $currentclass . ' href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
                echo '<a ' . $currentclass . ' href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . $delimiter . ' ';
                echo get_the_time('d');

        elseif ( is_month() ) :
                echo '<a href="' . get_option('siteurl') . ' " title="Home">'.get_option('blogname').'</a>';
                echo ' ' . $delimiter . ' ';
                echo ' <a ' . $currentclass . ' href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
                echo '<b>'. get_the_time('F') .'</b>';

        elseif ( is_year() ) :
                echo '<a href="' . get_option('siteurl') . ' " title="Home">'.get_option('blogname').'</a>';
                echo ' ' . $delimiter . ' ';
                echo '<b>'.get_the_time('Y').'</b>';

        elseif ( is_single() ) :
                global $post;
                $hasilku = get_post_type($post->ID);
                if ('post' == get_post_type($post->ID)) {
                    $cat = get_the_category();
                    $cat = $cat[0];
                    echo '<a href="' . get_option('siteurl') . ' " title="Home">'.get_option('blogname').'</a>';
                    echo ' ' . $delimiter . ' ';
                    $hasil = get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
                    if (!is_object($hasil)) {
                        echo $hasil;
                    }
                    echo '<b>' . get_the_title() . '</b>';
                } else {
                    $option = array(
                        'crumb-separator' => ' '.$delimiter.' ',
                        'before-breadcrumbs' => '',
                        'after-breadcrumbs' => ' '.$delimiter.' ',
                    );
                    echo wpsc_output_breadcrumbs($option);
                    echo '' . get_the_title() . '';
                }

        elseif ( is_page() && !$post->post_parent ) :
                echo '<a href="' . get_option('siteurl') . ' " title="Home">'.get_option('blogname').'</a>';
                echo ' ' . $delimiter . ' ';

                echo '' . get_the_title() . '';

        elseif ( is_page() && $post->post_parent ) :

                echo '<a href="' . get_option('siteurl') . ' " title="Home">'.get_option('blogname').'</a>';
                $parent_id  = $post->post_parent;
                $breadcrumbs = array();
                while ($parent_id) {
                    $page = get_page($parent_id);
                    $breadcrumbs[] = '<a ' . $currentclass . ' href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
                    $parent_id  = $page->post_parent;
                }
                $breadcrumbs = array_reverse($breadcrumbs);
                echo ' ' . $delimiter . ' ';
                foreach ($breadcrumbs as $crumb) echo $crumb . ' ' . $delimiter . ' ';
                the_title();

        elseif(isset($wpsc_query->query_vars['wpsc_product_category'])):
                $option = array(
                    'crumb-separator' => ' '.$delimiter.' ',
                    'before-breadcrumbs' => '',
                    'after-breadcrumbs' => ' '.$delimiter.' ',
                );
                echo wpsc_output_breadcrumbs($option);

        elseif ( is_search() ) :
                echo '<a href="' . get_option('siteurl') . ' " title="Home">'.get_option('blogname').'</a>';
                echo ' ' . $delimiter . ' ';
                echo '<b>Search results for &#39;' . get_search_query() . '&#39;</b>';

        elseif ( is_tag() ) :
                echo '<a href="' . get_option('siteurl') . ' " title="Home">'.get_option('blogname').'</a>';
                echo ' ' . $delimiter . ' ';
                echo '<b>Posts tagged &#39;';
                single_tag_title();
                echo '&#39;</b>';

        elseif ( is_author() ) :
                global $author;
                echo '<a href="' . get_option('siteurl') . ' " title="Home">'.get_option('blogname').'</a>';
                $userdata = get_userdata($author);
                echo ' ' . $delimiter . ' ';
                echo '<b>Articles posted <i>by:</i> ' . $userdata->display_name .'</b>';

        elseif ( is_404() ) :
                global $author;
                echo '<a href="' . get_option('siteurl') . ' " title="Home">'.get_option('blogname').'</a>';
                $userdata = get_userdata($author);
                echo ' ' . $delimiter . ' ';
                echo '404 Error</b>';
        endif;

        if ( get_query_var('paged') ) {
                echo ' ' . $delimiter . ' ';
                if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';
                echo __('Page') . ' ' . get_query_var('paged');
                if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
        }
    }


################################################################################
// 2. Checking if on WPEC page
################################################################################

    function tk_is_on_content($text=''){
        global $post;
        if ( preg_match( "/\[".$text."\]/", $post->post_content) ) {
            return true;
        }
        return false;
    }

    function tk_is_on_account_page(){
        global $post;
        return tk_is_on_content('userlog');
    }

    function tk_is_on_product_page(){
        global $post;
        return tk_is_on_content('productspage');
    }

    function tk_is_on_shopping_cart_page(){
        global $post;
        return tk_is_on_content('shoppingcart');
    }

    function tk_is_on_transaction_page(){
        global $post;
        return tk_is_on_content('transactionresults');
    }

    function tk_is_on_user_log_page(){
        global $post;
        return tk_is_on_content('userlog');
    }

    function tk_is_on_wpsc_list(){
        global $post,$wpsc_query;
        
        if (isset($wpsc_query->query_vars['wpsc_product_category'])){
            return true;
        }
        return false;
    }

    function tk_is_on_single_product(){
        global $wp_query;
        
        if(@$wp_query->query_vars['post_type'] == 'wpsc-product'){
            return true;
        }
        return false;
    }

    function tk_is_on_wpsc_page(){
        return  (tk_is_on_wpsc_list() || tk_is_on_user_log_page() || tk_is_on_account_page() || tk_is_on_single_product() ||
                tk_is_on_product_page() || tk_is_on_shopping_cart_page() || tk_is_on_transaction_page());
    }


################################################################################
// 3. Cut the text - tk_cut_text
################################################################################

    /**
     * Funtcion for cut the text.
     *
     * @param string $content
     * @param integer $excerpt_length
     * @return string
     */
    function tk_cut_text($content = false, $excerpt_length=4) {

                $mycontent = strip_shortcodes($content);
                $mycontent = str_replace(']]>', ']]&gt;', $mycontent);
                $mycontent = strip_tags($mycontent);
                $words = explode(' ', $mycontent, $excerpt_length + 1);
                if(count($words) > $excerpt_length) :
                    array_pop($words);
                    $mycontent = implode(' ', $words);
                endif;
                //print_r($words);
                return $mycontent;
                
    }



################################################################################
// 4. Display title on Page - tk_title_on_page
################################################################################

    function tk_title_on_page(){
        global $wp_query;
        
        if(is_home())
            _e('Home Page','wpsc');
        elseif (tk_is_on_product_page() || tk_is_on_single_product())
            _e('Products Page', 'wpsc');
        elseif (tk_is_on_wpsc_list())
            _e('Products Category', 'wpsc');
        elseif(is_category ())
            echo $wp_query->query_vars['category_name'];
        elseif(is_page ())
            _e('Page','wpsc');
        elseif(is_author ())
            _e('Author','wpsc');
        elseif(is_archive ())
            _e('Author','wpsc');
        elseif(is_tag ())
            _e('Tags','wpsc');
        else
            _e('Blog','wpsc');
        
    }
?>
