<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>

    <title><?php wp_title( '|', true, 'right' ); ?> <?php bloginfo('name'); ?></title>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="description" content="">
    <meta name="author" content="tokokoo">
    <!-- <meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0;"> -->
    <!--[if IE]><![endif]-->

    <?php if ( file_exists(TEMPLATEPATH . '/favicon.ico') ) : ?>
        <link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/favicon.ico">
    <?php endif; ?>
    <?php if ( file_exists(TEMPLATEPATH . '/apple-touch-icon.png') ) : ?>
        <link rel="apple-touch-icon" href="<?php echo get_template_directory_uri(); ?>/apple-touch-icon.png">
    <?php endif; ?>

    <link rel="stylesheet" href="<?php bloginfo( 'stylesheet_url' ); ?>" type="text/css" media="screen" />
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/buddypress.css" type="text/css" media="screen" />

    <!-- Starting wp_head(), embed, mixed and putting resources together -->
    <?php wp_head(); ?>
    <!-- End of wp_head() -->
    
</head>

<?php $body_classes = join( ' ', get_body_class() ); ?>
<!--[if lt IE 7 ]><body class="ie6 <?php echo $body_classes; ?>"><![endif]-->
<!--[if IE 7 ]><body class="ie7 <?php echo $body_classes; ?>"><![endif]-->
<!--[if IE 8 ]><body class="ie8 <?php echo $body_classes; ?>"><![endif]-->
<!--[if IE 9 ]><body class="ie9 <?php echo $body_classes; ?>"><![endif]-->
<!--[if (gt IE 9)|!(IE)]><!-->
<body class="<?php echo $body_classes; ?>">
<!--<![endif]-->

<!-- Header started -->
<header id="header" role="banner">
	
	<div class="inside"><!-- Inside Header -->

		<?php if (is_home() || is_front_page()) : ?>
			<h1 id="logo"><a href="<?php echo home_url(); ?>/"><?php bloginfo('name'); ?></a></h1>
		<?php else : ?>
			<div id="logo"><a href="<?php echo home_url(); ?>/"><?php bloginfo('name'); ?></a></div>			
		<?php endif; ?>
		
		<!-- Primary Navigation started -->
		<nav id="main-nav" role="navigation"><?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'primary' ) ); ?></nav>
		<!-- End of primary navigation -->
		
                <?php if ( function_exists('wpsc_core_setup_globals') ) : ?>
                    <section class="top-cart">
						<p>
							<span class="totalprice"><b><?php echo wpsc_cart_total_widget(); ?></b></span>
							<a href="#"><span class="totalitems"><?php printf( _n('%d item in cart', '%d items in cart', wpsc_cart_item_count(), 'wpsc'), wpsc_cart_item_count() ); ?></span></a>
						</p>
                    </section>
                <?php endif; ?>
                
	</div><!-- End Inside Header -->
	
</header>
<!-- End of Header -->

<div id="container"><!-- Container started -->

	<!-- Main Content will starting from here -->
	<div id="main" role="main">
	
		<div class="tab">
			
			<span class="tab-title">
			<?php tk_title_on_page(); ?>
			</span>
		</div>
		