<?php
	// Setup globals
	// @todo: Get these out of template
	global $wp_query;

	// Setup image width and height variables
	// @todo: Investigate if these are still needed here
	$image_width  = get_option( 'single_view_image_width' );
	$image_height = get_option( 'single_view_image_height' );
?>

<div id="single_product_page_container">
	
	<?php
		// Breadcrumbs
		// wpsc_output_breadcrumbs();

		// Plugin hook for adding things to the top of the products page, like the live search
		do_action( 'wpsc_top_of_products_page' );
	?>
	
	<div class="single_product_display group">
<?php
		/**
		 * Start the product loop here.
		 * This is single products view, so there should be only one
		 */

		while ( wpsc_have_products() ) : wpsc_the_product(); ?>
		
			<!-- Left Single Product Content -->
			<div class="left-single-product">
				<div class="productcol">			
				
                                        <div class="wpsc_cat">
                                                <?php echo get_the_term_list( $post->ID, 'wpsc_product_category', '', ', ', '' ); ?>
                                        </div>
					<?php do_action('wpsc_product_before_description', wpsc_the_product_id(), $wp_query->post); ?>
					<div class="product_description">
						<?php echo wpsc_the_product_description(); ?>
					</div><!--close product_description -->
					<?php do_action( 'wpsc_product_addons', wpsc_the_product_id() ); ?>		
					<?php if ( wpsc_the_product_additional_description() ) : ?>
						<div class="single_additional_description">
							<p><?php echo wpsc_the_product_additional_description(); ?></p>
						</div><!--close single_additional_description-->
					<?php endif; ?>		
					<?php do_action( 'wpsc_product_addon_after_descr', wpsc_the_product_id() ); ?>
					<?php
					/**
					 * Custom meta HTML and loop
					 */
					?>
					<?php if (wpsc_have_custom_meta()) : ?>
					<div class="custom_meta">
						<?php while ( wpsc_have_custom_meta() ) : wpsc_the_custom_meta(); ?>
							<strong><?php echo wpsc_custom_meta_name(); ?>: </strong><?php echo wpsc_custom_meta_value(); ?><br />
						<?php endwhile; ?>
					</div><!--close custom_meta-->
					<?php endif; ?>
					<?php
					/**
					 * Form data
					 */
					?>
					
					<form class="product_form" enctype="multipart/form-data" action="<?php echo wpsc_this_page_url(); ?>" method="post" name="1" id="product_<?php echo wpsc_the_product_id(); ?>">
						<?php if ( wpsc_product_has_personal_text() ) : ?>
							<fieldset class="custom_text">
								<legend><?php _e( 'Personalize Your Product', 'tokokoo' ); ?></legend>
								<p><?php _e( 'Complete this form to include a personalized message with your purchase.', 'tokokoo' ); ?></p>
								<textarea cols='42' rows='5' name="custom_text"></textarea>
							</fieldset>
						<?php endif; ?>
					
						<?php if ( wpsc_product_has_supplied_file() ) : ?>

							<fieldset class="custom_file">
								<legend><?php _e( 'Upload a File', 'tokokoo' ); ?></legend>
								<p><?php _e( 'Select a file from your computer to include with this purchase.', 'tokokoo' ); ?></p>
								<input type="file" name="custom_file" />
							</fieldset>
						<?php endif; ?>	
					<?php /** the variation group HTML and loop */?>
					<?php if (wpsc_have_variation_groups()) { ?>
					<fieldset><legend><?php _e('Product Options', 'tokokoo'); ?></legend>
					<div class="wpsc_variation_forms">
						<table>
						<?php while (wpsc_have_variation_groups()) : wpsc_the_variation_group(); ?>
							<tr><td class="col1"><label for="<?php echo wpsc_vargrp_form_id(); ?>"><?php echo wpsc_the_vargrp_name(); ?>:</label></td>
							<?php /** the variation HTML and loop */?>
							<td class="col2"><select class="wpsc_select_variation" name="variation[<?php echo wpsc_vargrp_id(); ?>]" id="<?php echo wpsc_vargrp_form_id(); ?>">
							<?php while (wpsc_have_variations()) : wpsc_the_variation(); ?>
								<option value="<?php echo wpsc_the_variation_id(); ?>" <?php echo wpsc_the_variation_out_of_stock(); ?>><?php echo wpsc_the_variation_name(); ?></option>
							<?php endwhile; ?>
							</select></td></tr> 
						<?php endwhile; ?>
						</table>
					</div><!--close wpsc_variation_forms-->
					</fieldset>
					<?php } ?>
					<?php /** the variation group HTML and loop ends here */?>

						
						<div class="wpsc_product_price">
							<?php if(wpsc_show_stock_availability()): ?>
								<?php if(wpsc_product_has_stock()) : ?>
									<div id="stock_display_<?php echo wpsc_the_product_id(); ?>" class="in_stock"><?php _e('Product in stock', 'tokokoo'); ?></div>
								<?php else: ?>
									<div id="stock_display_<?php echo wpsc_the_product_id(); ?>" class="out_of_stock"><?php _e('Product not in stock', 'tokokoo'); ?></div>
								<?php endif; ?>
							<?php endif; ?>
							
							<table class="pricing">

                                                            <?php if(wpsc_product_is_donation()) : ?>
								<tr class="tr-donation">
									<td><?php _e('Donation', 'tokokoo'); ?>: </td>
									<td><input type="text" id="donation_price_<?php echo wpsc_the_product_id(); ?>" name="donation_price" value="<?php echo wpsc_calculate_price(wpsc_the_product_id()); ?>" size="6" /></td>                                                                   
								</tr>
                                                            <?php else : ?>
								<tr class="tr-title clearfix">
									<td><?php _e('Price', 'tokokoo'); ?>
									<p class="pricedisplay <?php echo wpsc_the_product_id(); ?>"><span id='product_price_<?php echo wpsc_the_product_id(); ?>' class="currentprice pricedisplay"><?php echo wpsc_the_product_price(); ?></span></p>
									</td>
                                    <?php if(wpsc_product_on_special()) : ?>
									<td>
									<?php _e('Old Price', 'tokokoo'); ?>
									<p class="pricedisplay <?php echo wpsc_the_product_id(); ?>"><span class="oldprice" id="old_product_price_<?php echo wpsc_the_product_id(); ?>"><?php echo wpsc_product_normal_price(); ?></span></p>
									</td>
									<td>
									<?php _e('You Save', 'tokokoo'); ?>
									<p class="pricedisplay product_<?php echo wpsc_the_product_id(); ?>"><span class="yousave" id="yousave_<?php echo wpsc_the_product_id(); ?>"><?php echo wpsc_currency_display(wpsc_you_save('type=amount'), array('html' => false)); ?>! (<?php echo wpsc_you_save(); ?>%)</span></p>
									</td>
                                    <?php endif; ?>
								</tr>

									<?php
										/** Show the sku product. */
										$product_sku = wpsc_product_sku(wpsc_the_product_id());
									?>
								
								<tr class="tr-product-detail clearfix">
									<?php if(wpsc_show_pnp()) : ?>
									<td>
                                        <?php _e('Shipping', 'tokokoo'); ?>
                                        <p><?php echo wpsc_product_postage_and_packaging(); ?></p>
									</td>
									<?php endif; ?>
									<?php if (!empty($product_sku)): ?>
									<td>
                                        <?php _e('SKU', 'tokokoo'); ?>
                                        <p class="sku"><?php echo $product_sku; ?></p>
									</td>
									<?php endif; ?>

                                    <?php if(wpsc_product_has_multicurrency()) : ?>
											<td colspan="3">
                                                <?php _e('Currency', 'tokokoo'); ?>
                                                <p class="currency"><?php echo wpsc_display_product_multicurrency(); ?></p>
											</td>
									<?php endif; ?>
								</tr>
								

								<?php endif; ?>
							</table>
														
						</div><!--close wpsc_product_price-->
						
					
						<input type="hidden" value="add_to_cart" name="wpsc_ajax_action" />
						<input type="hidden" value="<?php echo wpsc_the_product_id(); ?>" name="product_id" />					
						<?php if( wpsc_product_is_customisable() ) : ?>
							<input type="hidden" value="true" name="is_customisable"/>
						<?php endif; ?>
				
						<?php
						/**
						 * Cart Options
						 */
						?> 

						<?php if((get_option('hide_addtocart_button') == 0) &&  (get_option('addtocart_or_buynow') !='1')) : ?>
							<?php if(wpsc_product_has_stock()) : ?>
								<div class="wpsc_buy_button_container">
										<?php if(wpsc_product_external_link(wpsc_the_product_id()) != '') : ?>
										<?php $action = wpsc_product_external_link( wpsc_the_product_id() ); ?>
										<input class="wpsc_buy_button" type="submit" value="<?php echo wpsc_product_external_link_text( wpsc_the_product_id(), __( 'Buy Now', 'tokokoo' ) ); ?>" onclick="return gotoexternallink('<?php echo $action; ?>', '<?php echo wpsc_product_external_link_target( wpsc_the_product_id() ); ?>')">
										<?php else: ?>
									<input type="submit" value="<?php _e('Add To Cart', 'tokokoo'); ?>" name="Buy" class="wpsc_buy_button" id="product_<?php echo wpsc_the_product_id(); ?>_submit_button"/>
										<?php endif; ?>
									<div class="wpsc_loading_animation">
										<img title="Loading" alt="Loading" src="<?php echo wpsc_loading_animation_url(); ?>" />
										<?php _e('Updating cart...', 'tokokoo'); ?>
									</div><!--close wpsc_loading_animation-->
								</div><!--close wpsc_buy_button_container-->
							<?php else : ?>
								<p class="soldout"><?php _e('This product has sold out.', 'tokokoo'); ?></p>
							<?php endif ; ?>
						<?php endif ; ?>
					</form><!--close product_form-->
				
					<?php
						if ( (get_option( 'hide_addtocart_button' ) == 0 ) && ( get_option( 'addtocart_or_buynow' ) == '1' ) )
							echo wpsc_buy_now_button( wpsc_the_product_id() );
						
						echo '<div class="rate">Rating and Share Products</div>';
						echo wpsc_product_rater();
					
					if(wpsc_show_fb_like()): ?>
						<div class="FB_like">
						<iframe src="https://www.facebook.com/plugins/like.php?href=<?php echo wpsc_the_product_permalink(); ?>&amp;layout=standard&amp;show_faces=true&amp;width=435&amp;action=like&amp;font=arial&amp;colorscheme=light" frameborder="0"></iframe>
						</div><!--close FB_like-->
					<?php endif; ?>
					
					<!--sharethis-->
					<?php if ( get_option( 'wpsc_share_this' ) == 1 ): ?>
					<div class="st_sharethis" displayText="ShareThis"></div>
					<?php endif; ?>
					<!--end sharethis-->
				</div><!--close productcol-->
	
				<form onsubmit="submitform(this);return false;" action="<?php echo wpsc_this_page_url(); ?>" method="post" name="product_<?php echo wpsc_the_product_id(); ?>" id="product_extra_<?php echo wpsc_the_product_id(); ?>">
					<input type="hidden" value="<?php echo wpsc_the_product_id(); ?>" name="prodid"/>
					<input type="hidden" value="<?php echo wpsc_the_product_id(); ?>" name="item"/>
				</form>
			</div>
			<!-- End Left Single Product Content -->
					
			<!-- Right Single Product Content -->
			<div class="right-single-product">
			
				<div class="imagecol clearfix">
					<?php if ( wpsc_the_product_thumbnail() ) : ?>
							<a rel="<?php echo wpsc_the_product_title(); ?>" class="<?php echo wpsc_the_product_image_link_classes(); ?>" href="<?php echo wpsc_the_product_image(); ?>">
								<img class="product_image" id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="<?php echo wpsc_the_product_title(); ?>" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo wpsc_the_product_thumbnail(350,300); ?>"/>
							</a>
							<?php 
							if ( function_exists( 'gold_shpcrt_display_gallery' ) )
								echo gold_shpcrt_display_gallery( wpsc_the_product_id() );
							?>
					<?php else: ?>
								<a href="<?php echo wpsc_the_product_permalink(); ?>">
								<img class="no-image" id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="No Image" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo WPSC_CORE_THEME_URL; ?>wpsc-images/noimage.png" width="<?php echo get_option('product_image_width'); ?>" height="<?php echo get_option('product_image_height'); ?>" />
								</a>
					<?php endif; ?>
				</div><!--close imagecol-->
				
				<?php echo wpsc_also_bought( wpsc_the_product_id() ); ?>
				
			</div>
			<!-- End Right Single Product Content -->
		
		
		</div><!--close single_product_display-->
		
		<?php echo wpsc_product_comments(); ?>

<?php endwhile;

    do_action( 'wpsc_theme_footer' ); ?> 	

</div><!--close single_product_page_container-->
